%define name	cocoon
%define version	0.1.0
%define release	%mkrel 9

Name:		%name
Version:	%version
Release:	%release
License:	GPL v2
Source:		%name-%{version}.tar.xz
Group:		Graphical desktop/KDE4
Summary:	A GUI for Git.
Url:		https://projects.kde.org/projects/playground/sdk/cocoon
BuildRequires:	cmake
BuildRequires:	kdelibs-devel
Requires:	%{_lib}x11_6
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
This project brings you a GUI for the Git version control system using the KDE4
framework.

Features:

* Creating and cloning repos
* Manage multiple repos
* Stage with commit capability
* History with branch and merge detection
* Possibility to compare the changes between any two commits
* Embedded command line for the advanced tasks

%prep
%setup -q

%build
mkdir build && cd build
cmake -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix=/usr` ..
make

%install
%makeinstall_std -C build

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%_bindir/cocoon
%_includedir/Git/
%_libdir/libCocoonGit.so
%_libdir/libCocoonGit.so.0
%_libdir/libCocoonGit.so.0.1.0
%_datadir/applications/kde4/cocoon.desktop
%_datadir/apps/cocoon/cocoonui.rc
%_datadir/cmake/Modules/FindCocoonGit.cmake
%_datadir/config.kcfg/cocoon.kcfg
%_iconsdir/hicolor/*/apps/cocoon.png
%_iconsdir/oxygen/*/actions/git-repo-clone.png
%_iconsdir/oxygen/16x16/actions/git-branch.png
%_iconsdir/oxygen/16x16/actions/git-commit.png
%_iconsdir/oxygen/16x16/actions/git-file-stage.png
%_iconsdir/oxygen/16x16/actions/git-file-unstage.png
%_iconsdir/oxygen/16x16/actions/git-merge.png
%_iconsdir/oxygen/16x16/actions/git-repo-clone.png
%_iconsdir/oxygen/16x16/actions/git-repo-new.png
%_iconsdir/oxygen/16x16/actions/git-repo-open.png
%_iconsdir/oxygen/16x16/actions/git-repo-reload.png
%_iconsdir/oxygen/16x16/places/git-repo.png
%_iconsdir/oxygen/16x16/status/git-file-added.png
%_iconsdir/oxygen/16x16/status/git-file-modified.png
%_iconsdir/oxygen/16x16/status/git-file-moved.png
%_iconsdir/oxygen/16x16/status/git-file-normal.png
%_iconsdir/oxygen/16x16/status/git-file-removed.png
%_iconsdir/oxygen/16x16/status/git-file-staged.png
%_iconsdir/oxygen/16x16/status/git-file-unstaged.png
%_iconsdir/oxygen/16x16/status/git-file-untracked.png
%_iconsdir/oxygen/22x22/actions/git-commit.png
%_iconsdir/oxygen/22x22/actions/git-repo-reload.png
%_iconsdir/oxygen/32x32/status/git-clone-task-complete.png
%_iconsdir/oxygen/32x32/status/git-clone-task-in-progress.png
%_iconsdir/oxygen/32x32/status/git-clone-task-waiting.png
%_iconsdir/oxygen/64x64/status/git-clone-complete.png
%_iconsdir/oxygen/64x64/status/git-clone-waiting.png

%changelog
* Wed Jul 22 2015 pinoc <vogtpet at gmail.com> 0.1.0-9pclos2015
- rebuild on 15.04.3

* Sun Apr 19 2015 pinoc <vogtpet at gmail.com> 0.1.0-8pclos2015
- rebuild on 15.04.0

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 0.1.0-7pclos2014
- rebuild on 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 0.1.0-6pclos2014
- rebuild on 4.13.3

* Wed Mar 05 2014 pinoc <vogtpet at gmail.com> 0.1.0-5pclos2014
- rebuild on 4.12.3

* Wed Jan 08 2014 pinoc <vogtpet at gmail.com> 0.1.0-4pclos2014
- rebuild on 4.11.5

* Thu Jun 06 2013 Texstar <texstar at gmail.com> 0.1.0-3pclos2013
- fix rpmgroup

* Fri Feb 15 2013 pinoc <vogtpet at gmail.com> 0.1.0-2pclos2013
- rebuild

* Sat Jan 28 2012 Neal <nealbrks0 at gmail dot com> 0.1.0-1_archie_2011
- process for 64bit

* Fri Jan 27 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.1.0-1_archie_2011
- Initial build
